<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->
 
 <!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->	
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Information</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");


//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
	
//*************************************************************************
// requ&ecirc;te pour avoir tout les clients

$sql = "SELECT num_activite, nom  
          FROM base_ref1activites
		 WHERE base_ref1activites.actif = 'O';";

$result = mysql_query($sql) or die ("Ne peut lire dans la table ref1chalets".$sql);




//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************
//Afficher le titre de la page.
	print("<center><font size=5><u><b>Formulaire d'information sur le type de client&egrave;le pr&eacute;sente.</b></center></u><br><br><br>"); 		   
	

if (($etape ==1) &&($privilege_base == 2))//enregistrer les donn&eacute;es
{
	$sql = "INSERT INTO base_information
				    SET code_contrat = '$code_contrat',
					    date_debut = '$date_debut',
						date_fin = '$date_fin',
						nb_nuit = '$nuite',
						nb_jeune = '$nb_jeune',
						j_pauvre = '$j_pauvre',
						famille_j = '$famille_j',
						famille_a= '$famille_a',
						famille_j_pauvre= '$famille_j_pauvre',
						famille_a_pauvre= '$famille_a_pauvre',
						handicap= '$handicap',
						handicap_pauvre= '$handicap_pauvre',
						mis_a_jour = now();";
		$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation de l'information!<br>".$sql);

	print("<center>L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
	print("<a href=\"gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\">");
	print("<img src=bouton5.gif border=0></a>");	
}

if (($etape ==2) &&($privilege_base == 2))//update les donn&eacute;es
{
	$sql = "UPDATE base_information
			   	SET date_debut = '$date_debut',
					date_fin = '$date_fin',
					nb_nuit = '$nuite',
					nb_jeune = '$nb_jeune',
					j_pauvre = '$j_pauvre',
					famille_j = '$famille_j',
					famille_a= '$famille_a',
					famille_j_pauvre= '$famille_j_pauvre',
					famille_a_pauvre= '$famille_a_pauvre',
					handicap= '$handicap',
					handicap_pauvre= '$handicap_pauvre',
					mis_a_jour = now()
       	    WHERE base_information.code_contrat = '$code_contrat';";
	$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation de l'information!<br>".$sql);
	
	print("<center>L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><br><br>");
	print("<a href=\"gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\">");
	print("<img src=bouton5.gif border=0></a>");	
}	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{
	//trouve les donn&eacute;es du contrat et du client
	$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_clients.organisme, base_clients.prenom,
	               base_clients.nom, base_clients.client_ad_civique, base_clients.client_rue, base_clients.client_app,
				   base_clients.client_ville, base_clients.client_province, base_clients.client_pays,
				   base_clients.client_code_postal, base_clients.client_tel_reside, base_contrat.nuite, base_nb_clients.nb_jeune, base_contrat.numero_contrat 
    	      FROM base_contrat, base_clients, base_nb_clients
			 WHERE base_clients.code_client = '$code_client'
			   AND base_contrat.code_contrat = '$code_contrat'
			   AND base_nb_clients.code_contrat = '$code_contrat';";

	$result = mysql_query($sql) or die ("Ne peut lire dans les infos".$sql);
	$row = mysql_fetch_row ($result);
	$date_debut = $row[0]; 
	$date_fin = $row[1];
	$organisme = $row[2];
	$prenom = $row[3];
	$nom = $row[4];
	$client_ad_civique = $row[5]; 
	$client_rue = $row[6];
	$client_app = $row[7];
	$client_ville = $row[8];
	$client_province = $row[9];
	$client_pays = $row[10];
	$client_code_postal = $row[11];
	$client_tel = $row[12];
	$nuite = $row[13];
	$nb_jeune = $row[14];
	$numero_contrat = $row[15];

	
	//cherche si d&eacute;ja rempli
	$sql = "SELECT base_information.nb_jeune, base_information.j_pauvre, base_information.famille_j,
	               base_information.famille_a, base_information.famille_j_pauvre, base_information.famille_a_pauvre,
				   base_information.handicap, base_information.handicap_pauvre 
    	      FROM base_information
			 WHERE base_information.code_contrat = '$code_contrat';";
	$result = mysql_query($sql) or die ("Ne peut lire dans les infos".$sql);
	$num = mysql_numrows($result);
	$row = mysql_fetch_row ($result);
	
	if (!empty ($num))
	{
		$nb_jeune = $row[0];
		$j_pauvre = $row[1];
		$famille_j = $row[2];
		$famille_a = $row[3];
		$famille_j_pauvre = $row[4];
		$famille_a_pauvre = $row[5];
		$handicap = $row[6];
		$handicap_pauvre = $row[7];
		$etape = 2;
	}
	else
		$etape = 1;

	
	print("<font size=3>");
	print("<b>Num&eacute;ro du contrat:</b> ".$numero_contrat."<br>");
	print("<b>Date du s&eacute;jour:</b> ".$date_debut." <b>au</b> ".$date_fin."<br>");
	print("<b>Unit&eacute; ou organisme:</b> ".$organisme."<br>");
	print("<b>Nom de la personne responsable:</b> ".$prenom." ".$nom."<br>");
	print("<b>Adresse:</b> ".$client_ad_civique." ".$client_rue." <b>APP:</b> ".$client_app."<br>");
	print($client_ville." ".$client_province." ".$client_pays."<br>");
	print($client_code_postal."<br>");
	print("<b>Num&eacute;ro de t&eacute;l&eacute;phone:</b> ".$client_tel."<br><br><hr><br><br>");			
	
	
	//question	   
	print("<form action=\"information.php?Bsession_id=".$Bsession_id."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"code_client\" value=\"".$code_client."\">");
	print("<input type=\"hidden\" name=\"nuite\" value=\"".$nuite."\">");
	print("<input type=\"hidden\" name=\"date_debut\" value=\"".$date_debut."\">");
	print("<input type=\"hidden\" name=\"date_fin\" value=\"".$date_fin."\">");		
	print("<input type=\"hidden\" name=\"nb_jeune\" value=\"".$nb_jeune."\">");			
	print("<input type=\"hidden\" name=\"etape\" value=\"$etape\">");	

	
	//question 1
	print("1 - Nombre de jeunes provenant d'un milieu familial dont le revenu est inf&eacute;rieur au seuil de faible revenu: <input type=\"text\" name=\"j_pauvre\" value=\"".$j_pauvre."\" align=\"top\" maxlength=\"10\" size=\"10\"><br><hr><br>");	

	//question 4
	print("4 - Nombre de personnes faisant partie d'une m&ecirc;me famille :<br>");
	print("Jeunes:&nbsp;&nbsp;<input type=\"text\" name=\"famille_j\" value=\"".$famille_j."\" align=\"top\" maxlength=\"10\" size=\"10\"><br>");
	print("Adultes: <input type=\"text\" name=\"famille_a\" value=\"".$famille_a."\" align=\"top\" maxlength=\"10\" size=\"10\"><br><br>");
	print("N'&eacute;tant pas consid&eacute;r&eacute; comme d&eacute;favoris&eacute;:<br>");
	print("Jeunes: <input type=\"text\" name=\"famille_j_pauvre\" value=\"".$famille_j_pauvre."\" align=\"top\" maxlength=\"10\" size=\"10\"><br>");
	print("Adultes: <input type=\"text\" name=\"famille_a_pauvre\" value=\"".$famille_a_pauvre."\" align=\"top\" maxlength=\"10\" size=\"10\"><br><hr><br>");	

	//question 5
	print("5 - Nombre de personnes (jeunes ou adultes) souffrant d'un handicape physique ou intellectuelle:<br>");
	print("Provenant de milieu d&eacute;favoris&eacute;: <input type=\"text\" name=\"handicap_pauvre\" value=\"".$handicap_pauvre."\" align=\"top\" maxlength=\"10\" size=\"10\"><br>");
	print("Provenant de milieu non d&eacute;favoris&eacute;: <input type=\"text\" name=\"handicap\" value=\"".$handicap."\" align=\"top\" maxlength=\"10\" size=\"10\"><br><hr><br>");	
	
	//bouton ajouter
	print("<b><center><div align=center>");	
	print("<input type=\"submit\" value=\"Enregistrer\"><br><br></form>");
	
}


	
?>

</body>
</html>	
	
	
	
	
